BEGIN
sys.dbms_scheduler.create_job( 
job_name => '"ASHSTAT"."L-ASH"',
job_type => 'STORED_PROCEDURE',
job_action => '"ASHSTAT"."LIGHTY_PKG"."SNAP"',
repeat_interval => 'FREQ=SECONDLY;INTERVAL=10',
start_date => systimestamp,
job_class => '"DEFAULT_JOB_CLASS"',
comments => 'Simulate active session history snap',
auto_drop => FALSE,
enabled => FALSE);
sys.dbms_scheduler.set_attribute( name => '"ASHSTAT"."L-ASH"', attribute => 'job_weight', value => 1); 
sys.dbms_scheduler.set_attribute( name => '"ASHSTAT"."L-ASH"', attribute => 'auto_drop', value => TRUE); 
sys.dbms_scheduler.enable( '"ASHSTAT"."L-ASH"' ); 
END;
/

BEGIN
sys.dbms_scheduler.create_job( 
job_name => '"ASHSTAT"."PURGE L-ASH"',
job_type => 'STORED_PROCEDURE',
job_action => '"ASHSTAT"."LIGHTY_PKG"."PURGE"',
repeat_interval => 'FREQ=DAILY;BYHOUR=22;BYMINUTE=0;BYSECOND=0',
start_date => systimestamp,
job_class => '"DEFAULT_JOB_CLASS"',
comments => 'Purge l_ash table',
auto_drop => FALSE,
enabled => FALSE);

sys.dbms_scheduler.set_attribute( name => '"ASHSTAT"."PURGE L-ASH"', attribute => 'job_weight', value => 1); 
sys.dbms_scheduler.set_attribute( name => '"ASHSTAT"."PURGE L-ASH"', attribute => 'auto_drop', value => TRUE); 
sys.dbms_scheduler.enable( '"ASHSTAT"."PURGE L-ASH"' ); 
END;
/
